//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.3.2 
// See <a href="https://javaee.github.io/jaxb-v2/">https://javaee.github.io/jaxb-v2/</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2020.02.07 at 08:51:11 PM CET 
//


package org.tdwg.abcd3.zoology;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlType;


/**
 * Taxon name used to further classify the identification result.
 * 
 * <p>Java class for HigherTaxon complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="HigherTaxon"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="HigherTaxonName" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}Monomial"/&gt;
 *         &lt;element name="HigherTaxonRank" type="{http://www.tdwg.org/schemas/abcd/3.0_zoology}HigherTaxonRankEnum" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "HigherTaxon", propOrder = {
    "higherTaxonName",
    "higherTaxonRank"
})
public class HigherTaxon {

    @XmlElement(name = "HigherTaxonName", required = true)
    protected String higherTaxonName;
    @XmlElement(name = "HigherTaxonRank")
    @XmlSchemaType(name = "Name")
    protected HigherTaxonRankEnum higherTaxonRank;

    /**
     * Gets the value of the higherTaxonName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getHigherTaxonName() {
        return higherTaxonName;
    }

    /**
     * Sets the value of the higherTaxonName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setHigherTaxonName(String value) {
        this.higherTaxonName = value;
    }

    /**
     * Gets the value of the higherTaxonRank property.
     * 
     * @return
     *     possible object is
     *     {@link HigherTaxonRankEnum }
     *     
     */
    public HigherTaxonRankEnum getHigherTaxonRank() {
        return higherTaxonRank;
    }

    /**
     * Sets the value of the higherTaxonRank property.
     * 
     * @param value
     *     allowed object is
     *     {@link HigherTaxonRankEnum }
     *     
     */
    public void setHigherTaxonRank(HigherTaxonRankEnum value) {
        this.higherTaxonRank = value;
    }

}
